/* $Id: Node_Index.java 125 2011-03-09 09:49:51Z ohura $ */
/*
 * 作成日： 2004/10/12
 *
 * TODO この生成されたファイルのテンプレートを変更するには次を参照。
 * ウィンドウ ＞ 設定 ＞ Java ＞ コード・スタイル ＞ コード・テンプレート
 */
package sml_editor.controller;

import sml_editor.node.SmlNode;

/**
 * @author kawamura
 *
 * TODO この生成された型コメントのテンプレートを変更するには次を参照。
 * ウィンドウ ＞ 設定 ＞ Java ＞ コード・スタイル ＞ コード・テンプレート
 */
public class Node_Index {
	SmlNode node;
	int index;

	public Node_Index(SmlNode node, int index){
		this.node = node;
		this.index = index;
	}
	/**
	 * @return index
	 */
	public int getIndex() {
		return index;
	}
	/**
	 * @return node
	 */
	public SmlNode getNode() {
		return node;
	}
}
